For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

Get Company Detail

Beta
GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId
GET
/api/v3/io/companies/:companyId
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/1 \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "companyId": "147340",
5 "companyName": "Glam Squad Hair and Makeup Artistry",
6 "bcGroupName": "salons",
7 "companyStatus": "1",
8 "companyEmail": "support@bundleb2b.net",
9 "companyPhone": "123456789",
10 "uuid": "",
11 "catalogId": "",
12 "catalogName": "",
13 "updatedAt": "1618794615",
14 "createdAt": "1618787774",
15 "extraFields": [
16 {
17 "dataType": "2",
18 "fieldName": "extraStr1",
19 "fieldValue": "extra_text",
20 "isRequired": "0",
21 "labelName": "Enter your license"
22 }
23 ],
24 "bcGroupId": "1",
25 "parentCompany": {
26 "id": 1,
27 "name": "Parent Company"
28 }
29 },
30 "meta": {
31 "message": "SUCCESS"
32 }
33}
Get details about a specific company.
Was this page helpful?
Previous

Create Company

Next

Update Company

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

companyIdintegerRequired
ID of company.

Response

OK
codedouble
dataobject
metaobject

Errors

404
Not Found Error